#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_SevenDayActivityCFGData
{
	//任务ID
	int mID;
	//名字
	std::string mName;
	//描述
	std::string mDesc;
	//分类
	int mClass;
	//第几天
	int mDay;
	//完成条件类型
	int mCompleteType;
	//完成计数
	int mCompleteCount;
	//特殊参数
	int mCompleteParam;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//组合的主任务ID
	int mCombinationQuestID;
	//组合的子任务ID(客户端显示用)
	std::vector<int> mCombinationQuests;
};

class M_SevenDayActivityCFG
{
public:
private:
	static std::auto_ptr<M_SevenDayActivityCFG> msSingleton;
public:
	int GetCount();
	const M_SevenDayActivityCFGData* GetData(int ID);
	boost::unordered_map<int, M_SevenDayActivityCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_SevenDayActivityCFG* GetSingleton();
private:
	boost::unordered_map<int, M_SevenDayActivityCFGData> mMapData;
};
